#ifndef WAVEFRONTOBJ_H
#define WAVEFRONTOBJ_H

#include <GL/glew.h>
#include "matrix-math.h"

typedef struct {
	vec3 position;
	vec3 normal;
	vec2 texture;
	// vec3 tangent;
} vertex;

typedef struct {
	vertex v1;
	vertex v2;
	vertex v3;
} face;

typedef struct {
	face* faces;
	GLuint length;
} ParsedObjFile;


extern ParsedObjFile readObjFile(char* path);
extern void clearParsedFile(ParsedObjFile file);


#endif